Bug 142046 - XEN Graphical bugs and application instability in Xen domain 0 on Thinkpad T21.
Summary: XEN Graphical bugs and application instability in Xen domain 0 on Thinkpad T21.
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Rik van Riel
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 179599
TreeView+ depends on / blocked
 
Reported: 2004-12-06 21:56 UTC by Alexander Boström
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-09 02:17:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alexander Boström 2004-12-06 21:56:42 UTC
(Don't know if kernel is the right component...)

Description of problem:
When using Xen on my IBM Thinkpad T21 (S3 Savage/IX-MV graphics),
several programs have problems with their X11 GUIs and crash very
often. Using kernel-2.6.9-1.1018_FC4xen0. The problem goes away if I
switch to kernel-2.6.9-1.1018_FC4. (Yes, tls is disabled.)

Symptoms: Metacity titlebar sometimes becomes only a few pixels high,
Firefox display big single-coloured rectangles on top of the text,
Evolution fails to display the text in the message list. These apps
also crash very often.

How reproducible:
Always.

Steps to Reproduce:
1. Install and update FC3.
2. Install Xen from http://people.redhat.com/riel/
3. mv /lib/tls{,.disabled}, edit grub.conf etc...
4. reboot and log in to X

Comment 1 Rik van Riel 2004-12-07 00:33:33 UTC
Does this bug happen if you add the following to the Device section of
your xorg.conf ?

Option      "NoAccel" "yes"

Comment 2 Alexander Boström 2004-12-07 13:52:16 UTC
Yes, it does.


Comment 3 Rik van Riel 2004-12-07 14:05:20 UTC
OK, added to my list of things to look at.  I will try to finish the
basic packaging of Xen first though, before diving head-first into
fixing up Xen internals.

In the mean time, we can try some workarounds. One thing you can try is:

Option "BusType" "PCI"

Comment 4 Alexander Boström 2004-12-07 14:39:50 UTC
> before diving head-first into fixing up Xen internals.

Yes, of course. :-)

> Option "BusType" "PCI"

No, still no change, neither alone nor in combination with NoAccel,
even after a reboot.


Comment 5 Alexander Boström 2004-12-07 15:03:34 UTC
Upgraded to 2.6.9-1.1020_FC4xen0. Didn't help.


Comment 6 Rik van Riel 2005-02-02 02:45:38 UTC
The xen agpgart patch is in kernel 2.6.10-1.1120_FC4.  That patch may
well fix (part of) your X problems.

Comment 7 Alexander Boström 2005-02-05 14:20:34 UTC
Hmm, now agpgart won't initialize. I filed bug #147258.


Comment 8 Rik van Riel 2005-03-07 22:10:53 UTC
There was an FPU context saving bug in the patch I created here to have xen
compile with the 2.6.11-rc kernel in rawhide.  That bug is fixed in  kernel
2.6.11-1.1176_FC4.

I still don't have 3D applications running here (at least not bzflag), but the
normal graphical instability here seems to have gone away.  Could you please
verify whether kernel 2.6.11-1.1176_FC4 still has this bug?

Comment 9 Alexander Boström 2005-03-13 20:53:45 UTC
Sorry, I still can't get X to work at all in Xen0. I'm using
2.6.11-1.1177_FC4xen0. (bug #147258)


Comment 10 Rik van Riel 2006-02-09 02:17:35 UTC
Should be fixed in current Fedora Core 5 rawhide Xen packages.


Note You need to log in before you can comment on or make changes to this bug.